> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Recommend For User



## OpenAPI

````yaml /api-reference/openapi/storefront.json post /v2/recommend/products/general
openapi: 3.1.0
info:
  title: Depict Platform API
  version: '1.0'
  description: >-
    The Depict platform API at api.depict.ai: storefront-facing search,
    listings, recommendations and event tracking for headless integrations. Not
    to be confused with the storefront search API (runway.depict.ai) used by the
    Search by Depict Shopify app.
servers:
  - url: https://api.depict.ai
security: []
paths:
  /v2/recommend/products/general:
    post:
      tags:
        - Recommendations
        - V2
      summary: Recommend For User
      operationId: Recommend_for_User_v2_recommend_products_general_post
      parameters:
        - name: port
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Port
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GeneralRecommendRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecommendResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GeneralRecommendRequest:
      properties:
        tenant:
          type: string
          title: Tenant
          description: Identifier associated with the API integration
        market:
          type: string
          title: Market
          description: Market identifier
        locale:
          anyOf:
            - type: string
            - type: 'null'
          title: Locale
          description: Locale identifier
        type:
          type: string
          title: Type
          description: Type of the recommendation, e.g. `cross_sell`
        limit:
          anyOf:
            - type: integer
              maximum: 128
              minimum: 1
            - type: 'null'
          title: Limit
          description: Maximum number of recommendations returned.
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
          description: Customer identifier
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
          description: Session identifier
        dsid:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Dsid
          description: >-
            Populated for integrations performed by Depict.ai only. Depict.ai
            Session Id
        document_referrer:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Referrer
        metadata:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            Metadata that can be used to modify the behaviour of the
            recommendation system
      type: object
      required:
        - tenant
        - market
        - type
      title: GeneralRecommendRequest
    RecommendResponse:
      properties:
        displays:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Displays
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        variant:
          anyOf:
            - type: integer
            - type: 'null'
          title: Variant
        experiment_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Experiment Id
      type: object
      required:
        - displays
      title: RecommendResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````